Loading...
Searching...
No Matches
BALL::Composite::ChildCompositeIteratorTraits Class Reference

`#include <BALL/CONCEPT/composite.h>`

## Public Member Functions

| ChildCompositeIteratorTraits ()
| ChildCompositeIteratorTraits (const Composite &composite)
| ChildCompositeIteratorTraits (const ChildCompositeIteratorTraits &traits)
const ChildCompositeIteratorTraits & | operator= (const ChildCompositeIteratorTraits &traits)
BALL_INLINE Composite * | getContainer ()
BALL_INLINE const Composite * | getContainer () const
BALL_INLINE bool | isSingular () const
BALL_INLINE Composite * | getPosition ()
BALL_INLINE Composite *const & | getPosition () const
BALL_INLINE bool | operator== (const ChildCompositeIteratorTraits &traits) const
BALL_INLINE bool | operator!= (const ChildCompositeIteratorTraits &traits) const
BALL_INLINE bool | isValid () const
BALL_INLINE void | invalidate ()
BALL_INLINE void | toBegin ()
BALL_INLINE bool | isBegin () const
BALL_INLINE void | toEnd ()
BALL_INLINE bool | isEnd () const
BALL_INLINE void | toRBegin ()
BALL_INLINE bool | isRBegin () const
BALL_INLINE void | toREnd ()
BALL_INLINE bool | isREnd () const
BALL_INLINE Composite & | getData ()
BALL_INLINE const Composite & | getData () const
BALL_INLINE void | forward ()
BALL_INLINE void | backward ()

## Detailed Description

Definition at line 1076 of file composite.h.

## Constructor & Destructor Documentation

## ChildCompositeIteratorTraits() [1/3]

BALL::Composite::ChildCompositeIteratorTraits::ChildCompositeIteratorTraits | ( |  | ) |

inline

Definition at line 1080 of file composite.h.

## ChildCompositeIteratorTraits() [2/3]

BALL::Composite::ChildCompositeIteratorTraits::ChildCompositeIteratorTraits | ( | const Composite & | composite | ) |

inline

Definition at line 1087 of file composite.h.

## ChildCompositeIteratorTraits() [3/3]

BALL::Composite::ChildCompositeIteratorTraits::ChildCompositeIteratorTraits | ( | const ChildCompositeIteratorTraits & | traits | ) |

inline

Definition at line 1094 of file composite.h.

## Member Function Documentation

## backward()

BALL_INLINE void BALL::Composite::ChildCompositeIteratorTraits::backward | ( |  | ) |

inline

Definition at line 1149 of file composite.h.

## forward()

BALL_INLINE void BALL::Composite::ChildCompositeIteratorTraits::forward | ( |  | ) |

inline

Definition at line 1147 of file composite.h.

## getContainer() [1/2]

BALL_INLINE Composite * BALL::Composite::ChildCompositeIteratorTraits::getContainer | ( |  | ) |

inline

Definition at line 1109 of file composite.h.

## getContainer() [2/2]

BALL_INLINE const Composite * BALL::Composite::ChildCompositeIteratorTraits::getContainer | ( |  | ) | const

inline

Definition at line 1111 of file composite.h.

## getData() [1/2]

BALL_INLINE Composite & BALL::Composite::ChildCompositeIteratorTraits::getData | ( |  | ) |

inline

Definition at line 1143 of file composite.h.

## getData() [2/2]

BALL_INLINE const Composite & BALL::Composite::ChildCompositeIteratorTraits::getData | ( |  | ) | const

inline

Definition at line 1145 of file composite.h.

## getPosition() [1/2]

BALL_INLINE Composite * BALL::Composite::ChildCompositeIteratorTraits::getPosition | ( |  | ) |

inline

Definition at line 1115 of file composite.h.

## getPosition() [2/2]

BALL_INLINE Composite *const & BALL::Composite::ChildCompositeIteratorTraits::getPosition | ( |  | ) | const

inline

Definition at line 1117 of file composite.h.

## invalidate()

BALL_INLINE void BALL::Composite::ChildCompositeIteratorTraits::invalidate | ( |  | ) |

inline

Definition at line 1125 of file composite.h.

## isBegin()

BALL_INLINE bool BALL::Composite::ChildCompositeIteratorTraits::isBegin | ( |  | ) | const

inline

Definition at line 1129 of file composite.h.

## isEnd()

BALL_INLINE bool BALL::Composite::ChildCompositeIteratorTraits::isEnd | ( |  | ) | const

inline

Definition at line 1133 of file composite.h.

## isRBegin()

BALL_INLINE bool BALL::Composite::ChildCompositeIteratorTraits::isRBegin | ( |  | ) | const

inline

Definition at line 1137 of file composite.h.

## isREnd()

BALL_INLINE bool BALL::Composite::ChildCompositeIteratorTraits::isREnd | ( |  | ) | const

inline

Definition at line 1141 of file composite.h.

## isSingular()

BALL_INLINE bool BALL::Composite::ChildCompositeIteratorTraits::isSingular | ( |  | ) | const

inline

Definition at line 1113 of file composite.h.

## isValid()

BALL_INLINE bool BALL::Composite::ChildCompositeIteratorTraits::isValid | ( |  | ) | const

inline

Definition at line 1123 of file composite.h.

## operator!=()

BALL_INLINE bool BALL::Composite::ChildCompositeIteratorTraits::operator!= | ( | const ChildCompositeIteratorTraits & | traits | ) | const

inline

Definition at line 1121 of file composite.h.

## operator=()

const ChildCompositeIteratorTraits & BALL::Composite::ChildCompositeIteratorTraits::operator= | ( | const ChildCompositeIteratorTraits & | traits | ) |

inline

Definition at line 1101 of file composite.h.

## operator==()

BALL_INLINE bool BALL::Composite::ChildCompositeIteratorTraits::operator== | ( | const ChildCompositeIteratorTraits & | traits | ) | const

inline

Definition at line 1119 of file composite.h.

## toBegin()

BALL_INLINE void BALL::Composite::ChildCompositeIteratorTraits::toBegin | ( |  | ) |

inline

Definition at line 1127 of file composite.h.

## toEnd()

BALL_INLINE void BALL::Composite::ChildCompositeIteratorTraits::toEnd | ( |  | ) |

inline

Definition at line 1131 of file composite.h.

## toRBegin()

BALL_INLINE void BALL::Composite::ChildCompositeIteratorTraits::toRBegin | ( |  | ) |

inline

Definition at line 1135 of file composite.h.

## toREnd()

BALL_INLINE void BALL::Composite::ChildCompositeIteratorTraits::toREnd | ( |  | ) |

inline

Definition at line 1139 of file composite.h.